org.apache.ignite.ml.preprocessing.standardscaling

## Class StandardScalerTrainer<K,V>

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.standardscaling.StandardScalerTrainer<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Implemented Interfaces:
    PreprocessingTrainer<K,V>

      public class StandardScalerTrainer<K,V>
      extends Object
      implements PreprocessingTrainer<K,V>

  Trainer of the standard scaler preprocessor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardScalerTrainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardScalerPreprocessor<K,V>` | `fit(LearningEnvironmentBuilder envBuilder, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.PreprocessingTrainer

      `fit, fit, fit, fit, fit, learningEnvironment`

- - ### Constructor Detail

    - #### StandardScalerTrainer

          public StandardScalerTrainer()

  - ### Method Detail

    - #### fit

          public StandardScalerPreprocessor<K,V> fit(LearningEnvironmentBuilder envBuilder,
                                                     DatasetBuilder<K,V> datasetBuilder,
                                                     Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Specified by:
        `fit` in interface `PreprocessingTrainer<K,V>`
      Parameters:
        `envBuilder` - Learning environment builder.
        `datasetBuilder` - Dataset builder.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020